package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsZxjTime;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 助学金审核时间Service接口
 *
 * @author srs
 * @date 2024-06-05
 */
public interface ISrsZxjTimeService extends IService<SrsZxjTime> {


    public AjaxResult doImport(List<SrsZxjTime> param);


    /**
     * 查询助学金审核时间
     *
     * @param id 助学金审核时间主键
     * @return 助学金审核时间
     */
    public SrsZxjTime selectSrsZxjTimeById(Long id);

    /**
     * 查询助学金审核时间列表
     *
     * @param srsZxjTime 助学金审核时间
     * @return 助学金审核时间集合
     */
    List<SrsZxjTime> selectSrsZxjTimeList(SrsZxjTime srsZxjTime);

    /**
     * 新增助学金审核时间
     *
     * @param srsZxjTime 助学金审核时间
     * @return 结果
     */
    int insertSrsZxjTime(SrsZxjTime srsZxjTime);

    /**
     * 修改助学金审核时间
     *
     * @param srsZxjTime 助学金审核时间
     * @return 结果
     */
    int updateSrsZxjTime(SrsZxjTime srsZxjTime);

    /**
     * 批量删除助学金审核时间
     *
     * @param ids 需要删除的助学金审核时间主键集合
     * @return 结果
     */
    int deleteSrsZxjTimeByIds(Long[] ids);

    /**
     * 删除助学金审核时间信息
     *
     * @param id 助学金审核时间主键
     * @return 结果
     */
    int deleteSrsZxjTimeById(Long id);
}
